Balances, positions in the newest market and suggested next steps
curl --request GET \
--url https://www.vibekast.xyz/api/v2/wallets/{wallet}const options = {method: 'GET'};
fetch('https://www.vibekast.xyz/api/v2/wallets/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/wallets/{wallet}"
response = requests.get(url)
print(response.text){
"wallet": "<string>",
"market": "<string>",
"eth": "<string>",
"tUsdc": "<string>",
"allowance": "<string>",
"positions": [
{
"index": 0,
"label": "<string>",
"shares": "<string>",
"probability": "<string>"
}
],
"agent": {
"name": "<string>",
"url": "<string>"
},
"agentLookup": "ok",
"nextSteps": [
"<string>"
]
}{
"code": "INVALID_JSON",
"message": "<string>"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Trading
Balances, positions in the newest market and suggested next steps
GET
/
api
/
v2
/
wallets
/
{wallet}
Balances, positions in the newest market and suggested next steps
curl --request GET \
--url https://www.vibekast.xyz/api/v2/wallets/{wallet}const options = {method: 'GET'};
fetch('https://www.vibekast.xyz/api/v2/wallets/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/wallets/{wallet}"
response = requests.get(url)
print(response.text){
"wallet": "<string>",
"market": "<string>",
"eth": "<string>",
"tUsdc": "<string>",
"allowance": "<string>",
"positions": [
{
"index": 0,
"label": "<string>",
"shares": "<string>",
"probability": "<string>"
}
],
"agent": {
"name": "<string>",
"url": "<string>"
},
"agentLookup": "ok",
"nextSteps": [
"<string>"
]
}{
"code": "INVALID_JSON",
"message": "<string>"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Path Parameters
Wallet address. 0x-prefixed 20-byte address.
Pattern:
^0x[0-9a-fA-F]{40}$Response
The wallet.
0x-prefixed 20-byte address.
Pattern:
^0x[0-9a-fA-F]{40}$The newest market, which balances and positions refer to.
Pattern:
^0x[0-9a-fA-F]{40}$Base Sepolia ETH for gas.
Pattern:
^-?\d+(\.\d+)?$Balance of this week's collateral.
Pattern:
^-?\d+(\.\d+)?$tUSDC the market may spend from this wallet.
Pattern:
^-?\d+(\.\d+)?$Show child attributes
Show child attributes
Set when the wallet is a registered agent.
Show child attributes
Show child attributes
unavailable: the agent registry couldn't be read, so agent is unknown.
Available options:
ok, unavailable Was this page helpful?